Subject: Re: bug#52912: 29.0.50; Left over files from native compilation

From: Andrea Corallo <[email-masked]>
Date: Mon, 24 Jan 2022 20:01:01 +0000

Andrea Corallo <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Eli Zaretskii <[email-masked]> writes:
>>
>>> No, you are not misreading.  I guess my hypothesis was incorrect, and
>>> something else is at work here.  But the problem is real nonetheless.
>>>
>>> Perhaps this is something caused by Alan's speedup of the bootstrap?
>>
>> Could be, but it's affecting a whole lot more files than the ones that
>> were touched by that change...  Andrea, can you take a look at this?
>
> Hi Lars,
>
> Hmmm I see what's going on.
>
> The .eln file is produced by 'gcc_jit_context_compile_to_file', we could
> just produce the temporary .elc before calling it and renaming it
> afterwards but unfortunatelly 'gcc_jit_context_compile_to_file' takes a
> considerable part of the compilation time, as a consequence we'd go back
> to the reason this bug was opened for.
>
> I think the best solution is to touch the .eln file once the final .elc
> is produced.
>
> I'll put a patch together.

I've a patch that does that, but is crashing Emacs during bootstrap for
really no reason.

I suspect this is triggering some unrelated bug so I'm trying to see if
I can reproduce it on a sequencial build in order to debug it :/

I'll come with news when I figure out what's going on.

  Andrea